*{
    padding: 0;
    margin: 0;
}
body{
    background-color: #000;
}
.img-container{
    margin: 0 auto;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.img-container img{
    width: 400px;
    position: relative;
}

.img-container .download-link{
    position: absolute;
    text-decoration: none;
    color: #fff;
    background-color: #e284ff;
    padding: 20px 30px 10px 30px;
    border-radius: 10px;
    font-size: 25px;
}
.img-container .download-link:hover{
    background-color: #cf48f8;
    color: #fff;
    box-shadow: 1px 2px 3px #000;
}

@media screen and (max-width: 600px) {
    .img-container img{
        width: 100%;
    }
}